<?php

namespace ShineSoftware\Setefi\Helper;

use Magento\Sales\Model\Order;

class Checkout {

    protected $session;

    public function __construct(
    \Magento\Checkout\Model\Session $session
    ) {
        $this->session = $session;
    }

    public function cancelCurrentOrder($comment) {
        $order = $this->session->getLastRealOrder();
        if ($order->getId() && $order->getState() != Order::STATE_CANCELED) {
            $order->registerCancellation($comment)->save();
            return true;
        }
        return false;
    }

    public function restoreQuote() {
        return $this->session->restoreQuote();
    }

}

;
